Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::Exception Class Reference

Base class for all MySQL++ custom exceptions. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::Exception:

[legend]
Collaboration diagram for mysqlpp::Exception:

[legend]
List of all members.

## Public Methods

| Exception (const Exception &e) throw ()
| Create exception object as copy of another.
Exception & | operator= (const Exception &rhs) throw ()
| Assign another exception object's contents to this one.
| ~Exception () throw ()
| Destroy exception object.
virtual const char * | what () const throw ()
| Returns explanation of why exception was thrown.

## Protected Methods

| Exception (const char *w="") throw ()
| Create exception object.
| Exception (const std::string &w) throw ()
| Create exception object.

## Protected Attributes

std::string | what_
| explanation of why exception was thrown

## Detailed Description

Base class for all MySQL++ custom exceptions.

The documentation for this class was generated from the following file:

- exceptions.h